[vdr] Recent breakage of DVB subtitles with dxr3

Mika Iisakkila vdrstuff at pingrid.fi
Wed Mar 28 11:58:15 CEST 2012


27.3.2012 22:49, Pasi Kärkkäinen kirjoitti:
> I remember using alsa with em8300 already years ago? Was I dreaming? :)

Perhaps you were using ALSA years ago. As far as I understand, the
audio layer options in the em8300 drivers are a no-op nowadays and
it will always try to use register_sound_dsp() etc and these will
fail without OSS support in the kernel.

Or what do I know, every time I upgrade my VDR installation I spend
an hour googling dead links and obscure mailing list archives for
what the "current" version of the drivers might be, and then another
half an hour finding out how & where to download it. Perhaps there
is a recent ALSA-only em8300 driver somewhere...

OSS support was gone in Ubuntu Maverick:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/579300

...and I had to do system upgrades Lucid -> Maverick -> Natty ->
Oneiric to get a 3.0 kernel so I could try the newer VDRs, and
only then found out the em8300 drivers wouldn't load.

Anyway, until there's a proper fix for the subtitles, I'm going to
stay at .22 because it simply works for me, and the new style YLE
subtitles actually look a lot better with the dxr3. The old
subtitles always were fat and ugly compared to how they looked
on deviced that had a proper alpha channel, or whatever the culprit
with dxr3 is.

--mika



More information about the vdr mailing list